| vrnadistance

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

RNA distances

## Description

This is a port of the Vienna RNA package program RNAdistance.

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnadistance

    % vrnadistance -distance 'f,h' -doalignment
    RNA distances
    Vienna RNA structures file: rna4.fold
    Vienna RNAfold output file [rna4.vrnadistance]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    RNA distances
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-structuresfile]    infile     Vienna RNA structures file
      [-outfile]           outfile    [*.vrnadistance] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -distance           menu       [f] Distance types to calculate (Values: f
                                      (Full (tree)); h (HIT (tree)); w (Weighted
                                      coarse (tree)); c (Coarse (tree)); F (Full
                                      (string)); H (HIT (string)); W (Weighted
                                      coarse (string)); C (Coarse (string)); P
                                      (Base pair distance))
       -compare            menu       [p] Distance types to calculate (Values: p
                                      (Pairwise); m (Distance matrix between all
                                      structures); f (Compare all structures to
                                      the first one); c (Compare continuously))
       -schapiro           boolean    [N] Use cost matrix for comparing coarse
                                      structures
       -doalignment        boolean    [N] Alignment showing matching substructures

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-structuresfile] (Parameter 1) | infile | Vienna RNA structures file | Input file | Required
[-outfile] (Parameter 2) | outfile | Vienna RNAfold output file | Output file | <*>.vrnadistance
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-distance | list | Distance types to calculate |
f | (Full (tree))
h | (HIT (tree))
w | (Weighted coarse (tree))
c | (Coarse (tree))
F | (Full (string))
H | (HIT (string))
W | (Weighted coarse (string))
C | (Coarse (string))
P | (Base pair distance)
| f
-compare | list | Distance types to calculate |
p | (Pairwise)
m | (Distance matrix between all structures)
f | (Compare all structures to the first one)
c | (Compare continuously)
| p
-schapiro | boolean | Use cost matrix for comparing coarse structures | Boolean value Yes/No | No
-doalignment | boolean | Alignment showing matching substructures | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

vrnadistance reads any normal sequence USAs.

### Input files for usage example

### File: rna4.fold

    ((.(((((((.....))))))).))....((..((((.....)))).)).
    .....((((..((((..........)))).)))).....(((....))).

## Output file format

vrnadistance outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: rna4.vrnadistance

    f: 26
    (_____(.(((__((((....._____))))_))).))....((..((((.....)))).)).
    _.....(_(((..((((..........)))).)))_)_....__.__(((...._)))_.___
    h: 32
    (____((U1)((U5_)P7)(U1)P2)(U4)((U2)((U5)P4)(U1)P2)(U1)R1)
    ((U5)((U2)((U10)P4)(U1)P4)(U5)_____((U4)P3)(U1)_______R1)

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds inverted repeats in nucleotide sequences
vrnaalifold | RNA alignment folding
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnaheat | RNA melting
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments